Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ClientMetaData

    java.lang.Object
      org.jboss.metadata.ClientMetaData

public class ClientMetaData
extends Object

The metdata data from a j2ee application-client.xml descriptor

Version:
  $Revision: 1.12 $
Author:
  Scott.Stark@jboss.org, Thomas.Diesler@jboss.org

Constructor Summary
`ClientMetaData()`

Method Summary
`String` | `getCallbackHandler()`
`String` | `getDisplayName()` The application-client/display-name
`HashMap` | `getEjbReferences()`
`ArrayList` | `getEnvironmentEntries()`
`String` | `getJndiName()` The location for the server side client context ENC bindings
`HashMap` | `getResourceEnvReferences()`
`HashMap` | `getResourceReferences()`
`HashMap` | `getServiceReferences()`
`void` | `importClientXml(Element element)`
`void` | `importJbossClientXml(Element element)`
`void` | `setResourceClassLoader(URLClassLoader resourceCl)` Set the ClassLoader to load additional resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientMetaData

    public ClientMetaData()

Method Detail

### setResourceClassLoader

    public void setResourceClassLoader(URLClassLoader resourceCl)

  Set the ClassLoader to load additional resources

### getDisplayName

    public String getDisplayName()

  The application-client/display-name

  Returns:
    application-client/display-name value

### getJndiName

    public String getJndiName()

  The location for the server side client context ENC bindings

  Returns:
    the JNDI name for the server side client context ENC bindings. This is either the jboss-client/jndi-name or the application-client/display-name value.

### getEnvironmentEntries

    public ArrayList getEnvironmentEntries()

  Returns:
    ArrayList

### getEjbReferences

    public HashMap getEjbReferences()

  Returns:
    HashMap

### getResourceReferences

    public HashMap getResourceReferences()

  Returns:
    HashMap

### getResourceEnvReferences

    public HashMap getResourceEnvReferences()

  Returns:
    HashMap

### getCallbackHandler

    public String getCallbackHandler()

  Returns:
    The CallbackHandler if defined, null otherwise

### getServiceReferences

    public HashMap getServiceReferences()

  Returns:
    HashMap

### importClientXml

    public void importClientXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossClientXml

    public void importJbossClientXml(Element element)
                              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.